Subject: bug#29265: closed (Re: bug#29265: gzip-1.8.41 test results: timestamp)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Dec 2022 05:38:02 +0000

Your bug report

#29265: gzip-1.8.41 test results: timestamp

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29265: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29265
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29265: gzip-1.8.41 test results: timestamp
From: Paul Eggert <[email-masked]>
To: Bruno Haible <[email-masked]>
Cc: [email-masked]
Date: Sun, 25 Dec 2022 21:37:10 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/12/17 00:25, Paul Eggert wrote:
> I installed the attached patch to tests/timestamp

As this appears to have fixed the bug, I'm closing this old bug report.

Subject: gzip-1.8.41 test results: timestamp
From: Bruno Haible <[email-masked]>
To: [email-masked]
Date: Sun, 12 Nov 2017 00:36:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Here are test results of the today's gzip git + newest gnulib (= nearly
the same as Jim's gzip-1.8.40). I tested only 32-bit platforms.

1) On
Linux/i386 (on a bi-arch system):
Linux/hppa (on a Linux/x86_64 system):
Linux/m68k (on a Linux/x86_64 system):
Linux/arm (on a bi-arch system):
Linux/powerpc (on a bi-arch system):
Linux/s390 (on a bi-arch system):
AIX/powerpc (on a bi-arch system):

- By default:
configure: error: This package requires a 64-bit 'time_t' type, which your system appears to support. You might try configuring with 'CPPFLAGS="-m64" LDFLAGS="-m64"'. To build with a 32-bit time_t anyway (not recommended), configure with 'TIME_T_32_BIT_OK=yes'.
- With TIME_T_32_BIT_OK=yes:
FAIL: timestamp

2) On
Linux/x86_64-x32 (on a bi-arch system):
Linux/mips o32:
Linux/mips o32 (on a bi-arch system):
Linux/mips n32 (on a bi-arch system):
Linux/arm:
Hurd/i386:
NetBSD/i386:
Solaris 10/i386 (on a bi-arch system):
Solaris 10/sparc (on a bi-arch system):
Mac OS X/i386 (on a bi-arch system):
Mac OS X/powerpc (on an x86_64 system):

All tests pass.

3)
Linux/sparc (on a bi-arch system):

On some machines, like 1). On other machines, like 2).

4)
FreeBSD/i386:
Haiku/i386:
HP-UX/hppa:
HP-UX/ia64:

The timestamp test passes, but some other tests fail (see separate mail).

5)
OpenBSD/i386:
NetBSD/sparc:
IRIX n32:
FAIL: timestamp

Find attached the test-suite.log of each platform.

Bruno